post
https://sandbox-api.viantinc.com/{basePath}/fee/appendCampaignFees
Assigns the supplied fee type ids to the specified Campaign in
addition to any that are already assigned.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request
POST /fee/appendCampaignFees?campaign_id=[campaign_id]
Response
| JSON Fields | Type | Description |
|---|---|---|
| messages | Object Array | An array of any error messages. |
| messages[].level | String | Error level. |
| messages[].code | String | Error code. |
| messages[].message | String | Error message. |
| entity | Integer Array | An array of fee type ids |
Example
Request
curl -u <user>:<password> -X POST -H "Content-Type: application/json" -d '[877]' https://sandbox-api.viant.com/v1/fee/appendCampaignFees?campaign_id=2367
Response
\{
"messages": [],
"entity": [787,727,877]
} 401Unauthorized
403Forbidden
404Not Found